[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/mldonkey/F-10 import.log, NONE, 1.1 mldonkey-gui.desktop, NONE, 1.1 mldonkey-initscript.patch, NONE, 1.1 mldonkey.logrotate, NONE, 1.1 mldonkey.spec, NONE, 1.1 mldonkey_df_monitor.crond, NONE, 1.1 mldonkey_df_monitor.sh, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2



Author: peter

Update of /cvs/pkgs/rpms/mldonkey/F-10
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv29397/F-10

Modified Files:
	.cvsignore sources 
Added Files:
	import.log mldonkey-gui.desktop mldonkey-initscript.patch 
	mldonkey.logrotate mldonkey.spec mldonkey_df_monitor.crond 
	mldonkey_df_monitor.sh 
Log Message:
Initial import


--- NEW FILE import.log ---
mldonkey-2_9_6-3_fc10:F-10:mldonkey-2.9.6-3.fc10.src.rpm:1232967409


--- NEW FILE mldonkey-gui.desktop ---
[Desktop Entry]
Name=MlDonkey
Type=Application
GenericName=MlDonkey peer-to-peer client
Exec=mlgui
Icon=mldonkey
Categories=Network;
Encoding=UTF-8

mldonkey-initscript.patch:

--- NEW FILE mldonkey-initscript.patch ---
diff --git a/packages/rpm/mldonkey.init b/packages/rpm/mldonkey.init
index 536a88a..2291a9b 100755
--- a/packages/rpm/mldonkey.init
+++ b/packages/rpm/mldonkey.init
@@ -4,7 +4,7 @@
 #
 # Laurent Culioli <laurent pschit net>
 #
-# chkconfig: 2345 90 15
+# chkconfig: - 90 15
 # description: Mldonkey is client to access multiple peer-to-peer network
 # processname: mldonkey
 # config: /etc/sysconfig/mldonkey
@@ -15,6 +15,8 @@
 # Source some options 
 . /etc/sysconfig/mldonkey
 
+[ -z $LOGFILE ] && LOGFILE="/dev/null"
+
 RETVAL=0
 
 # Path to the mldonkey binarie.
@@ -27,17 +29,18 @@ fullpath=/usr/bin/mlnet
 [ ${NETWORKING} = "no" ] && exit 0
 
 start() {
-        gprintf "Starting Mldonkey (mlnet): "
-         cd $DIRECTORY
-	daemon --user mldonkey --check mldonkey $NICE "$fullpath  > /dev/null 2>&1 &"
-	touch /var/lock/subsys/mldonkey
-	echo
+       echo -n $"Starting Mldonkey (mlnet): "
+       cd $DIRECTORY
+       daemon --user mldonkey --check mldonkey $NICE "$fullpath  > $LOGFILE 2>&1 &"
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/mldonkey
+       echo
 }
 stop() {
-        gprintf "Stopping Mldonkey (mlnet): "
-        killproc mldonkey-bin
-	rm -fr /var/lock/subsys/mldonkey
-	echo
+       echo -n $"Stopping Mldonkey (mlnet): "
+       killproc $fullpath
+       rm -fr /var/lock/subsys/mldonkey
+       echo
 }
 
 
@@ -53,11 +56,19 @@ case "$1" in
                 stop
                 start
                 ;;
+        condrestart)
+                if status mldonkey >/dev/null; then
+                    stop
+                    start
+                else
+                    echo $"Mldonkey (mlnet) is stopped"
+                fi
+                ;;
         status)
 	        status mldonkey
 		;;
-	*)
-                gprintf "Usage: mldonkey {start|stop|restart|reload|status}\n"
+        *)
+                echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
                 RETVAL=1
 esac
 exit $RETVAL


--- NEW FILE mldonkey.logrotate ---
/var/log/mldonkey/mldonkey.log {
    monthly
    notifempty
    missingok
    compress
    postrotate
    service mldonkey condrestart > /dev/null
    endscript
}


--- NEW FILE mldonkey.spec ---
Name:		mldonkey
Version:	2.9.6
Release:	3%{?dist}
Summary:	Client for several P2P networks
License:	GPLv2+
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	mldonkey-gui.desktop
Source8:	mldonkey_df_monitor.crond
Source9:	mldonkey_df_monitor.sh
Source11:	mldonkey.logrotate
Patch0:		mldonkey-initscript.patch
URL:		http://mldonkey.sourceforge.net
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ocaml >= 3.10.0
BuildRequires:	ocaml-camlp4-devel
BuildRequires:	ocaml-lablgtk-devel >= 2.10.0
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	librsvg2-devel >= 2.4.0
BuildRequires:	bzip2-devel
BuildRequires:	ncurses-devel
BuildRequires:	file-devel
Requires:	logrotate
# for kill_mldonkey
Requires:	perl(LWP::UserAgent)
# for mldonkey_command
Requires:	nc


%description
MLDonkey is a door to the 'donkey' network, a decentralized network used to
exchange big files on the Internet. It is written in a wonderful language,
called Objective-Caml, and present most features of the basic Windows donkey
client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet (port 4000),
    by a WEB browser (http://localhost:4080), or with a classical client
    interface (see http://www.nongnu.org/mldonkey)
  - You can connect to several servers, and each search will query all the
    connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to your
    incoming directory.
  - You can have several queries in the graphical user interface at the same
    time.
  - You can remember your old queries results in the command-line interface.
  - You can search in the history of all files you have seen on the network.

It can also access other peer-to-peer networks:
- BitTorrent
- Fasttrack
- FileTP (wget-clone)
- DC++


%package gui
Summary:	Graphical frontend for mldonkey based on GTK
Group:		Applications/Internet
Requires:	hicolor-icon-theme
# TODO requirement for mldonkey_previewer
# Requires:	mplayer


%description gui
The GTK interface for mldonkey provides a convenient way of managing
all mldonkey operations. It gives details about conected servers,
downloaded files, friends and lets one search for files in a pleasing
way.


%package server
Summary:	Enables mldonkey as a system daemon
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
# Neseccary for mldonkey_df_monitor.sh
Requires:	mailx
Requires(pre):	/usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service


%description server
Contains init and configs to launch mldonkey as a service.

NOTE: by default incoming dir is located in %{_localstatedir}/lib/mldonkey/incoming
and temp dir in %{_localstatedir}/lib/cache/mldonkey. Mlondkey is launched
with the mldonkey user (created after installation).

NOTE: If you are using a password for your mldonkey, you need to specify
it in your %{_sysconfdir}/sysconfig/mldonkey, because mldonkey now stores
it encrypted.


%package -n konqueror-mldonkey-ed2k-support
Summary:	Easy way to download a ed2k-link from Konqueror
Group:		User Interface/Desktops
Requires:	perl(LWP::UserAgent)
Requires:	kde-filesystem


%description -n konqueror-mldonkey-ed2k-support
This package contains tool which gives you an easy way to add an ed2k-link
(like ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
with a single click to your mldonkey download queue.
You need to edit %{_sysconfdir}/sysconfig/mldonkey_submit


#%package -n mozilla-mldonkey-ed2k-support
#Summary:	Easy way to download a ed2k-link from Mozilla/Firefox
#Group:		User Interface/Desktops
# TODO should it require firefox?


#%description -n mozilla-mldonkey-ed2k-support
#This package contains tool which gives you an easy way to add an ed2k-link
#(like ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
#with a single click within Mozilla/Firefox to your mldonkey download queue.
#The tool is a .xpi file to import into mozilla. The file is located in
#%{_datadir}/%name


%prep
%setup -q
%patch0 -p1 -b .fedora
# Let's make rpmlint happy
sed -i 's|\r||g' distrib/ed2k_submit/README.MLdonkeySubmit
sed -i 's|\r||g' docs/slavanap.txt

iconv -f iso8859-1 -t UTF-8 docs/gnutella.txt > docs/gnutella.utf8 && mv docs/gnutella.{utf8,txt}
iconv -f iso8859-1 -t UTF-8 distrib/Authors.txt > distrib/Authors.utf8 && mv distrib/Authors.{utf8,txt}

chmod 644 src/utils/lib/fst_hash.c
chmod 644 src/networks/fasttrack/fst_crypt_ml.c


%build
%configure --enable-pthread \
           --enable-ocamlver=%(rpm -q --qf '%%{version}' ocaml) \
           --enable-gui=newgui2 \
           --disable-gd

make depend
# Does not support parallel builds
make
make utils


%install
rm -rf $RPM_BUILD_ROOT
DONT_GPRINTIFY=1
export DONT_GPRINTIFY
make DESTDIR=$RPM_BUILD_ROOT install

# core
install -p -m 755 distrib/mldonkey_command $RPM_BUILD_ROOT%{_bindir}/mldonkey_command
install -p -m 755 distrib/kill_mldonkey $RPM_BUILD_ROOT%{_bindir}/kill_mldonkey

# utils
for util in copysources mld_hash get_range make_torrent svg_converter subconv; do
	install -p -m 755 $util $RPM_BUILD_ROOT%{_bindir}/$util ;
done

# gui
install -p -m 755 mlguistarter $RPM_BUILD_ROOT%{_bindir}/mlguistarter

# install preview utility
install -p -m 755 distrib/mldonkey_previewer $RPM_BUILD_ROOT%{_bindir}/mldonkey_previewer

# menu and pixmaps
install packages/rpm/mldonkey-icon-16.png -D -m 644 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/mldonkey.png
install packages/rpm/mldonkey-icon-32.png -D -m 644 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/mldonkey.png
install packages/rpm/mldonkey-icon-48.png -D -m 644 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/mldonkey.png
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/mldonkey.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/mldonkey.png
desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications --copy-generic-name-to-name %{SOURCE1}

# Send email when mldonkey runs out of allowed disk space
install -D -p -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_sbindir}/mldonkey_df_monitor.sh
sed -i 's,/var,%{_localstatedir},g;
        s,/etc/init.d,%{_initrddir},g;
        s,/etc,%{_sysconfdir},g' $RPM_BUILD_ROOT%{_sbindir}/mldonkey_df_monitor.sh

install -D -p -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/mldonkey_df_monitor
sed -i 's,/usr/sbin,%{_sbindir},g' $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/mldonkey_df_monitor

# create directory for storing log-file
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/log/mldonkey

# install logrotate script for  /var/log/mldonkey/mldonkey.log
install -D -p -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mldonkey
sed -i 's,/var,%{_localstatedir},g' $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mldonkey

# install init-scipt
install -D -p -m 755 packages/rpm/mldonkey.init $RPM_BUILD_ROOT%{_initrddir}/mldonkey
sed -e 's,/etc/init.d,%{_initrddir},g;
        s,/etc,%{_sysconfdir},g;
        s,/var,%{_localstatedir},g' $RPM_BUILD_ROOT%{_initrddir}/mldonkey

# Create necessary directories for server
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/cache/mldonkey
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/incoming

# create downloads.ini
echo "temp_directory = \"%{_localstatedir}/cache/mldonkey\"" > $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/downloads.ini
echo "incoming_directory = \"%{_localstatedir}/lib/%{name}/incoming\"" >> $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/downloads.ini
echo "mldonkey_gui = \"%{_bindir}/mlgui\"" >> $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/downloads.ini
echo "mldonkey_bin = \"%{_bindir}/mldonkey\"" >> $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/downloads.ini
echo "log_file = \"%{_localstatedir}/log/mldonkey/mldonkey.log\"" >> $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/downloads.ini

# Install sysconfig file
install -D -p -m 644 packages/rpm/mldonkey.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey
sed -i 's,/var,%{_localstatedir},g' $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey

# ed2k for konqueror support
install -p -m 755 distrib/ed2k_submit/mldonkey_submit $RPM_BUILD_ROOT%{_bindir}/mldonkey_submit
install -p -m 644 distrib/ed2k_submit/mldonkey $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey_submit
sed -i 's,myusername,,;s,mypassword,,' $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey_submit
install -D -p -m 644 distrib/ed2k_submit/ed2k.protocol  $RPM_BUILD_ROOT%{_datadir}/services/ed2k.protocol

# ed2k for mozilla support
# TODO should we unpack it into FF's plugins directory?
#install -D -p -m 644 distrib/ed2k_mozilla/mldonkey_protocol_handler-2.2.xpi $RPM_BUILD_ROOT%{_datadir}/%{name}/mldonkey_protocol_handler-2.2.xpi


%clean
rm -rf $RPM_BUILD_ROOT


%pre server
/usr/sbin/useradd -r -d %{_localstatedir}/lib/%{name} \
                  -c "MlDonkey service" -s /bin/bash mldonkey 2>/dev/null || :


%post server
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add mldonkey || :
fi


%preun server
if [ "$1" == "0" ]; then
	/sbin/service mldonkey stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del mldonkey || :
fi


%files
%defattr(-,root,root)
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog distrib/Developers.txt
%doc docs
%{_bindir}/mlnet
%{_bindir}/mldonkey_command
%{_bindir}/kill_mldonkey
%{_bindir}/copysources
%{_bindir}/get_range
%{_bindir}/make_torrent
%{_bindir}/mlbt
%{_bindir}/mld_hash
%{_bindir}/mldc
%{_bindir}/mlgnut
%{_bindir}/mldonkey
%{_bindir}/mlslsk
%{_bindir}/subconv
%{_bindir}/svg_converter


%files gui
%defattr(-,root,root)
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog distrib/Developers.txt
%{_bindir}/mlbt+gui
%{_bindir}/mldc+gui
%{_bindir}/mldonkey+gui
%{_bindir}/mldonkey_gui
%{_bindir}/mldonkey_previewer
%{_bindir}/mlgnut+gui
%{_bindir}/mlgui
%{_bindir}/mlguistarter
%{_bindir}/mlnet+gui
%{_bindir}/mlslsk+gui
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/16x16/apps/mldonkey.png
%{_datadir}/icons/hicolor/32x32/apps/mldonkey.png
%{_datadir}/icons/hicolor/48x48/apps/mldonkey.png
%{_datadir}/pixmaps/mldonkey.png


%files server
%defattr(-,root,root)
%doc Copying.txt
%config(noreplace) %{_sysconfdir}/sysconfig/mldonkey
%config(noreplace) %{_sysconfdir}/cron.d/mldonkey_df_monitor
%attr(755,root,root) %{_initrddir}/mldonkey
%config(noreplace) %{_sysconfdir}/logrotate.d/mldonkey
%{_sbindir}/mldonkey_df_monitor.sh
%attr(750,mldonkey,mldonkey) %dir %{_localstatedir}/log/mldonkey
%attr(750,mldonkey,mldonkey) %dir %{_localstatedir}/cache/mldonkey
%attr(750,mldonkey,mldonkey) %dir %{_localstatedir}/lib/mldonkey
%attr(770,mldonkey,mldonkey) %dir %{_localstatedir}/lib/mldonkey/incoming
%config(noreplace) %{_localstatedir}/lib/mldonkey/downloads.ini


#%files -n mozilla-mldonkey-ed2k-support
#%defattr(-,root,root)
#%doc Copying.txt
#%{_datadir}/%{name}/mldonkey_protocol_handler-2.2.xpi


%files -n konqueror-mldonkey-ed2k-support
%defattr(-,root,root)
%doc Copying.txt distrib/ed2k_submit/README.MLdonkeySubmit
%config(noreplace) %{_sysconfdir}/sysconfig/mldonkey_submit
%{_bindir}/mldonkey_submit
%{_datadir}/services/ed2k.protocol


%changelog
* Mon Jan 26 2009 Peter Lemenkov <lemenkov gmail com> 2.9.6-3
- Temporarily disable mozilla support

* Sat Dec  6 2008 Peter Lemenkov <lemenkov gmail com> 2.9.6-2
- Fixed installation of sysconfig-file

* Mon Aug 25 2008 Peter Lemenkov <lemenkov gmail com> 2.9.6-1
- Ver. 2.9.6

* Mon Jun 23 2008 Peter Lemenkov <lemenkov gmail com> 2.9.5-1
- Ver. 2.9.5

* Sun Jan 27 2008 Peter Lemenkov <lemenkov gmail com> 2.9.3-1
- Ver. 2.9.3

* Sun Jan 13 2008 Peter Lemenkov <lemenkov gmail com> 2.9.2-2
- Correct BR for perl modules
- More robust iconv usage
- Fixed desktop file
- Changed BR for scriplets

* Sun Nov  4 2007 Peter Lemenkov <lemenkov gmail com> 2.9.2-1
- Ver. 2.9.2
- BR ocaml >= 3.10.0
- BR lablgtk > 2.10.0

* Tue Sep 25 2007 Peter Lemenkov <lemenkov gmail com> 2.9.1-1
- Ver. 2.9.1
- converted two non-UTF8 text-files

* Sun Aug 19 2007 Peter Lemenkov <lemenkov gmail com> 2.9.0-2
- fixed License tag as required in Fedora

* Sun Aug  5 2007 Peter Lemenkov <lemenkov gmail com> 2.9.0-1
- Added shadow-utils as required
- Ver. 2.9.0
- Disabled Gnutella/G2 (unmaintained)
- Added BR file-devel (for libmagic)

* Wed Jun  6 2007 Peter Lemenkov <lemenkov gmail com> 2.8.7-1
- Ver. 2.8.7
- Added DC++ back

* Sun May 20 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-6
- Splitted ed2k-support to mozilla-mldonkey-ed2k-support and
  konqueror-mldonkey-ed2k-support

* Sun May 13 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-5
- Fixed bug #1421

* Sat May  5 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-4
- Fixed file conflicts
- Removed soulseek support (broken)

* Sat May  5 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-3
- Removed mysterious Requires kdelibs

* Fri May  4 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-2
- Added BR ncurses-devel

* Mon Apr 23 2007 Peter Lemenkov <lemenkov gmail com> 2.8.5-1
- version 2.8.5
- graphical stats disabled (temporarily?), see bug #1191
- mlchat removed from upstream

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 2.7.6-1
- version 2.7.6

* Mon Apr 17 2006 Aurelien Bompard <gauret[AT]free.fr> 2.7.5-1
- version 2.7.5

* Wed Mar 15 2006 Aurelien Bompard <gauret[AT]free.fr> 2.7.3-1
- version 2.7.3
- drop patch 0 & patch 1 (applied upstream)

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Fri Dec 02 2005 Aurelien Bompard <gauret[AT]free.fr> 2.7.0-0.lvn.2
- patch init script to add condrestart
- use condrestart in logrotate

* Sun Nov 20 2005 Aurelien Bompard <gauret[AT]free.fr> 2.7.0-0.lvn.1
- version 2.7.0
- fix logrotate file

* Mon Sep 05 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.4-0.lvn.1
- version 2.6.4

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.3-0.lvn.1
- version 2.6.3

* Thu Aug 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.2-0.lvn.1
- version 2.6.2

* Wed Aug 10 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.1-0.lvn.1
- version 2.6.1
- don't start initscript on boot by default

* Fri Jul 22 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.0-0.lvn.1
- update to 2.6.0
- drop explicit Epoch

* Mon Jun 27 2005 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.30.16-0.lvn.1
- version 2.5.30.16
- add missing scriptlets requirements
- don't remove the mldonkey user on uninstall
- init script: sync with upstream
- sysconfig file: sync with upstream
- start script: sync with upstream

* Sun Feb 13 2005 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.28-0.lvn.1
- version 2.5.28
- enable gui
- disable direct-connect (broken at the moment)

* Wed Aug 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.22-0.lvn.1
- version 2.5.22
- get ready for the new gui based on GTK2
  (upstream says "still a little buggy", and it does not build yet)

* Thu May 06 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.21-0.lvn.1
- version 2.5.21 (bugfix again...)

* Tue May 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.20-0.lvn.1
- version 2.5.20 (bugfix)

* Mon May 03 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.19-0.lvn.1
- version 2.5.19

* Sun Apr 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.18-0.lvn.1
- version 2.5.18

* Mon Mar 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.16-0.lvn.1
- update to version 2.5.16
- new subconv tool to convert movie subtitles

* Mon Mar 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.5.12-0.lvn.1
- Initial Fedora package, ported from Mandrake/PLF


--- NEW FILE mldonkey_df_monitor.crond ---
*/30 * * * *	root	/usr/sbin/mldonkey_df_monitor.sh


--- NEW FILE mldonkey_df_monitor.sh ---
#!/bin/sh

CACHEDIR="/var/cache/mldonkey"
MINFREE=102400
EMAIL="root localhost"

. /etc/sysconfig/mldonkey

[ ! "$ENABLE_DF_MONITOR" = "yes" ] && exit

send_email() {
	mail -s "mldonkey, disk space warning" $EMAIL << EOF

your $CACHEDIR has only $CURFREE KiB free space left
all downloads paused

BTW: you can control this check by editing /etc/sysconfig/mldonkey.
EOF
}


CURFREE=`df -P -k $CACHEDIR | tail -n 1 | awk '{ print $4 }'`
if [ $CURFREE -lt $MINFREE ] ; then
	/etc/init.d/mldonkey pause > /dev/null
	send_email
fi



Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/mldonkey/F-10/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	20 Jan 2009 21:18:40 -0000	1.1
+++ .cvsignore	26 Jan 2009 10:57:21 -0000	1.2
@@ -0,0 +1 @@
+mldonkey-2.9.6.tar.bz2


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/mldonkey/F-10/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	20 Jan 2009 21:18:40 -0000	1.1
+++ sources	26 Jan 2009 10:57:21 -0000	1.2
@@ -0,0 +1 @@
+5da87678449bf87ce0c78f37e7871eb9  mldonkey-2.9.6.tar.bz2


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]